<template>
    <dialog class="modal" :open="open">
        <div class="modal-box">
            <!-- Headder -->
            <div class="border-b border-blue-500">
                <!-- <h1>header</h1> -->
                <slot name="header" />
            </div>

            <div class="my-5">
                <!-- <h1>Body</h1> -->
                <slot name="body" />
            </div>

            <div class="border-t border-blue-500 pt-2">
                <form method="dialog">
                    <slot name="footer" />
                </form>
            </div>
        </div>
    </dialog>

    <div v-if="open" class="modal-backgrop fixed top-0 left-0 z-10 bg-black opacity-40 w-screen h-screen"></div>
</template>

<script lang="ts" setup>
interface Props {
    open?: boolean
}

withDefaults(defineProps<Props>(), {
    open: false
})

const emits = defineEmits<{
    close: [void],
}>()
</script>